class Ball:
	x = 0
	y = random(0, height())
	speedX = 2
	speedY = 2
	    
	def draw(self):
		circle(self.x, self.y, 50)
		
	def move(self):
		self.x = self.x + self.speedX
		self.y = self.y + self.speedY
		
		if self.y > height() or self.y < 0:    # oberer/unterer Rand
			self.speedY = self.speedY * -1   
	    
	def start(self):
		self.x = 0
		self.y = random(0, height())
		self.speedX = 2
		self.speedY = 2
		
	def increaseSpeed(self):
		self.speedX *= -1    
		
		if self.speedX < 0:
			self.speedX -= 1
		else:
			self.speedX += 1
		
	def getX(self):
		return self.x

	def getY(self):
		return self.y
		
class Racket:
	cxRacket = 20
	cyRacket = 150
	xRacket = 0

	def draw(self):
		rect(self.xRacket, mouseY(), self.cxRacket, self.cyRacket)

	def move(self):
		self.xRacket = width() - (self.cxRacket / 2)
		
	def hitBall(self, ball):
		yRacketTop    = mouseY() - (self.cyRacket / 2)
		yRacketBottom = mouseY() + (self.cyRacket / 2)
		hitRacket = ball.getY() >= yRacketTop and ball.getY() <= yRacketBottom
		                           
		# rechter Rand and rechter Schläger or linke Wand
		if (ball.getX() > width() and hitRacket == True) or ball.getX() < 0:
			ball.increaseSpeed()
			if self.cyRacket > 100:
				self.cyRacket = self.cyRacket - 3
		
		if ball.getX() > width() and hitRacket == False:	# verloren
			ball.start()
			self.cyRacket = 150	

def draw():
	background(128)
	noStroke()
	fill(228)
	
	ball1.draw()
	ball1.move()	
	ball2.draw()
	ball2.move()	
			
	racket.draw()
	racket.move()
	racket.hitBall(ball1)
	racket.hitBall(ball2)

ball1 = Ball()
ball2 = Ball()

racket = Racket()

timer(draw)

